source: xsoft/office/libreoffice.xml@ 36a32ef

11.0 ken/refactor-virt lazarus qt5new trunk
Last change on this file since 36a32ef was 36a32ef, checked in by Bruce Dubbs <bdubbs@…>, 5 months ago

Package updates.
Update to sudo-1.9.7p1.
Update to libreoffice-7.1.4.2.

  • Property mode set to 100644
File size: 35.4 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libreoffice-dl "https://download.documentfoundation.org/libreoffice/src/&libreoffice-version;">
8
9 <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
10 <!ENTITY libreoffice-core-md5sum "4e4e81a4f66544775912c85ce214a7d7">
11 <!ENTITY libreoffice-core-size "233 MB">
12
13 <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
14 <!ENTITY libreoffice-dict-md5sum "d6e81b974dac1a661f06cca2f0d7b777">
15 <!ENTITY libreoffice-dict-size "46 MB">
16
17 <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
18 <!ENTITY libreoffice-help-md5sum "e03fdc7d36e6130b7a67d7b07be8a66f">
19 <!ENTITY libreoffice-help-size "107 MB">
20
21 <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
22 <!ENTITY libreoffice-translations-md5sum "63e7eb886dcd9d90ccef9dc8ae5f2ad9">
23 <!ENTITY libreoffice-translations-size "177 MB">
24
25 <!-- full size remeasured for 7.0.0.3 -->
26
27 <!ENTITY libreoffice-buildsize "6.7 GB including the additional files if downloaded during the build (783 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
28
29 <!-- Editors: many updates to poppler will break LO using system poppler until
30 somebody is able to provide a patch or sed. In these cases, please mark
31 the dependency as currently broken and move the \-\-with-system-poppler
32 line to a comment. Also please switch poppler between recommended and
33 optional according to whether or not we use the system version. The
34 installed size will be increased by 2 MB if using the shipped poppler, but
35 the variation in build times will be lost in the noise. - ken
36
37 Not a problem with 7.1.7.2 and poppler-21.05.0. - bdubbs
38
39 -->
40
41 <!-- for 6.1.2.1 I allowed 2 SBU for downloads, my total was
42 64.76 SBU with fast downloads
43 for 6.1.4.2 I and 7.0.0.3 just used the total time - bdubbs
44
45 For 6.4.0.3 downloading everything including dictionaries,
46 help, translations took less than 2 minutes (1.1 SBU) with
47 a good domestic internet connection. Total time was 60 SBU - ken
48
49 60 SBU not including download of translations, help and dictionary
50 for 6.4.6.2 - pierre
51
52 56 SBU for 7.0.3.1 not including download of translations, help, and
53 dictionaries. -renodr
54 -->
55 <!ENTITY libreoffice-time "50 SBU with parallelism=4 including typical download time">
56
57]>
58
59<sect1 id="libreoffice" xreflabel="LibreOffice-&libreoffice-dlversion;">
60 <?dbhtml filename="libreoffice.html"?>
61
62 <sect1info>
63 <date>$Date$</date>
64 </sect1info>
65
66 <title>LibreOffice-&libreoffice-version;</title>
67
68 <indexterm zone="libreoffice">
69 <primary sortas="a-LibreOffice">LibreOffice</primary>
70 </indexterm>
71
72 <sect2 role="package">
73 <title>Introduction to LibreOffice</title>
74
75 <para>
76 <application>LibreOffice</application> is a full-featured office suite.
77 It is largely compatible with <application>Microsoft Office</application>
78 and is descended from <application>OpenOffice.org</application>.
79 </para>
80
81 &lfs101_checked;
82
83 <bridgehead renderas="sect3">Package Information</bridgehead>
84 <itemizedlist spacing="compact">
85 <listitem>
86 <para>
87 Core Download: <ulink url="&libreoffice-core-download-http;"/>
88 </para>
89 </listitem>
90 <listitem>
91 <para>
92 Core Download MD5 sum: &libreoffice-core-md5sum;
93 </para>
94 </listitem>
95 <listitem>
96 <para>
97 Core Download size: &libreoffice-core-size;
98 </para>
99 </listitem>
100 <listitem>
101 <para>
102 Estimated disk space required: &libreoffice-buildsize;
103 </para>
104 </listitem>
105 <listitem>
106 <para>
107 Estimated build time: &libreoffice-time;
108 </para>
109 </listitem>
110 </itemizedlist>
111
112 <bridgehead renderas="sect3">Additional Downloads</bridgehead>
113
114 <note>
115 <para>
116 Around 80 smallish tarballs and zip files will be downloaded during the
117 build. If you have not downloaded one or more of the following, they too
118 will also be downloaded during the build.
119 </para>
120 </note>
121
122 <itemizedlist spacing="compact">
123 <listitem>
124 <para>
125 Dictionaries: <ulink url="&libreoffice-dict-download-http;"/>
126 </para>
127 </listitem>
128
129 <listitem>
130 <para>
131 Dictionaries MD5 sum: &libreoffice-dict-md5sum;
132 </para>
133 </listitem>
134
135 <listitem>
136 <para>
137 Dictionaries size: &libreoffice-dict-size;
138 </para>
139 </listitem>
140
141 <listitem>
142 <para>
143 Help Files: <ulink url="&libreoffice-help-download-http;"/>
144 </para>
145 </listitem>
146
147 <listitem>
148 <para>
149 Help Files MD5 sum: &libreoffice-help-md5sum;
150 </para>
151 </listitem>
152
153 <listitem>
154 <para>
155 Help Files size: &libreoffice-help-size;
156 </para>
157 </listitem>
158
159 <listitem>
160 <para>
161 Translations: <ulink url="&libreoffice-translations-download-http;"/>
162 </para>
163 </listitem>
164
165 <listitem>
166 <para>
167 Translations MD5 sum: &libreoffice-translations-md5sum;
168 </para>
169 </listitem>
170
171 <listitem>
172 <para>
173 Translations size: &libreoffice-translations-size;
174 </para>
175 </listitem>
176
177
178<!-- keep one commented patch, it's sure to again need one or more in a few months:
179-->
180<!--
181 <listitem>
182 <para>
183 Required patch to fix building with GCC 10 and later:
184 <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-format_overflow-1.patch"/>
185 </para>
186 </listitem>
187-->
188 </itemizedlist>
189 <bridgehead renderas="sect3">LibreOffice Dependencies</bridgehead>
190
191 <bridgehead renderas="sect4">Required</bridgehead>
192 <para role="required">
193 <xref linkend="perl-archive-zip"/>,
194 <xref linkend="unzip"/>,
195 <xref linkend="wget"/>,
196 <xref linkend="which"/>, and
197 <xref linkend="zip"/>
198 </para>
199
200 <bridgehead renderas="sect4">Recommended</bridgehead>
201 <note>
202 <para>
203 Most of these packages are recommended because if they're not installed,
204 the build process will compile and install its own (often older)
205 version, with the side effect of increasing build and installed disk
206 space and build time.
207 </para>
208 </note>
209
210 <para role="recommended">
211 <xref linkend="apache-ant"/>,
212 <xref linkend="apr"/>,
213 <xref linkend="boost"/>,
214 <xref linkend="clucene"/>,
215 <xref linkend="cups"/>,
216 <xref linkend="curl"/>,
217 <xref linkend="dbus-glib"/>,
218 <xref linkend="libepoxy"/>,
219 <xref linkend="libjpeg"/>,
220 <xref linkend="llvm"/> (clang is preferred for rendering with skia),
221 <xref linkend="glm"/>,
222 <xref linkend="glu"/>,
223 <xref linkend="gpgme"/>,
224 <xref linkend="graphite2"/>,
225 <xref linkend="gst10-plugins-base"/>,
226 <xref linkend="gtk3"/>,
227 <!-- <xref linkend="gtk2"/> -->
228 <xref linkend="harfbuzz"/>,
229 <xref linkend="icu"/>,
230 <xref linkend="libatomic_ops"/>,
231 <xref linkend="lcms2"/>,
232 <xref linkend="librsvg"/>,
233 <xref linkend="libxml2"/> and
234 <xref linkend="libxslt"/>,
235 <xref linkend="lxml"/>,
236 <xref linkend="mesa"/>,
237 <xref linkend="neon"/>,
238 <xref linkend="nss"/>,
239 <xref linkend="openldap"/> (if connecting to an LDAP server),
240 <xref linkend="poppler"/>,
241 <xref linkend="postgresql"/>,
242 <xref linkend="redland"/>,
243 <xref linkend="serf"/>, and
244 <xref linkend="unixodbc"/>
245 </para>
246
247
248 <bridgehead renderas="sect4">Optional</bridgehead>
249 <para role="optional">
250 <xref linkend="avahi"/>,
251 <xref linkend="bluez"/>,
252 <xref linkend="dconf"/>,
253 <xref linkend="desktop-file-utils"/>,
254 <xref linkend="doxygen"/> (not relevant if using --disable-odk),
255 <xref linkend="evolution-data-server"/>,
256 <xref linkend="gdb"/>,
257 <xref linkend="gnutls"/>,
258<!-- not anymore in the book, but included in apache-ant
259 <xref linkend="junit"/>, -->
260 <xref linkend="kf5-frameworks"/>,
261 <xref linkend="libpaper"/>,
262 <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
263 <xref linkend="mitkrb"/>,
264 <xref linkend="nasm"/>,
265 <xref linkend="sane"/>,
266 <xref linkend="telepathy-glib"/>,
267 <xref linkend="valgrind"/>,
268 <xref linkend="vlc"/>,
269 <xref linkend="zenity"/>,
270 <ulink url="https://commons.apache.org/proper/commons-codec/">Apache Commons Codec</ulink>,
271 <ulink url="https://hc.apache.org/httpcomponents-client-ga/index.html">Apache Commons HttpClient</ulink>,
272 <ulink url="https://commons.apache.org/proper/commons-lang/">Apache Commons Lang</ulink>,
273 <ulink url="https://commons.apache.org/proper/commons-logging/">Apache Commons Logging</ulink>,
274 <ulink url="https://beanshell.github.io/">BeanShell</ulink>,
275 <ulink url="https://box2d.org/documentation/">box2d</ulink>,
276 <ulink url="https://projects.coin-or.org/CoinMP/">CoinMP</ulink>,
277 <ulink url="https://sourceforge.net/projects/cppunit/">Cppunit</ulink>,
278 <ulink url="http://www.firebirdsql.org/">Firebird</ulink>,
279 <ulink url="https://github.com/behdad/glyphy">glyphy</ulink>,
280 <ulink url="&gnome-download-http;/gnome-vfs/">Gnome VFS</ulink>,
281 <ulink url="https://github.com/hamcrest/JavaHamcrest/releases">hamcrest</ulink>,
282 <ulink url="https://hunspell.github.io/">Hunspell</ulink>,
283 <ulink url="https://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
284 <ulink url="http://include-what-you-use.org/">iwyu</ulink>,
285 <ulink url="https://github.com/junit-team/junit4/releases">junit4</ulink>,
286 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libabw">libabw</ulink>,
287 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr">libcdr</ulink>,
288 <ulink url="https://sourceforge.net/projects/libcmis/">libcmis</ulink>,
289 <ulink url="http://www.sourceforge.net/projects/libebook/">libebook</ulink>,
290 <ulink url="https://sourceforge.net/projects/libepubgen/">libepubgen</ulink>,
291 <ulink url="https://wiki.documentfoundation.org/DLP/libraries/libetonyek">libetonyek</ulink>,
292 <ulink url="https://wiki.documentfoundation.org/Libexttextcat">libexttextcat</ulink>,
293 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>,
294 <ulink url="http://tagoh.github.io/liblangtag/">liblangtag</ulink>,
295 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libmspub">libmspub</ulink>,
296 <ulink url="https://sourceforge.net/projects/libmwaw/">libmwaw</ulink>,
297 <ulink url="https://github.com/Numbertext/libnumbertext">libnumbertext</ulink>,
298 <ulink url="https://sourceforge.net/projects/libwpd/files/libodfgen/">libodfgen</ulink>,
299 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libpagemaker">libpagemaker</ulink>,
300 <ulink url="https://github.com/nayuki/QR-Code-generator">libqrcodegen</ulink>,
301 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libqxp">libqxp</ulink>,
302 <ulink url="https://sourceforge.net/projects/libwpd/files/librevenge/">librevenge (WordPerfect Document importer)</ulink>,
303 <ulink url="https://github.com/fosnola/libstaroffice/wiki">libstaroffice</ulink>,
304 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libvisio">libvisio</ulink>,
305 <ulink url="http://libwpd.sourceforge.net/">libwpd</ulink>,
306 <ulink url="http://libwpg.sourceforge.net/">libwpg</ulink>,
307 <ulink url="https://sourceforge.net/p/libwps/wiki/Home/">libwps</ulink>,
308 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libzmf">libzmf</ulink>,
309 <ulink url="http://lpsolve.sourceforge.net/">lp_solve</ulink>,
310 <ulink url="https://gitlab.com/mdds/mdds">mdds</ulink>,
311 <ulink url="https://sourceforge.net/projects/hunspell/files/MyThes/">MyThes</ulink>,
312 <ulink url="https://odftoolkit.org/conformance/ODFValidator.html">odfvalidator</ulink>,
313 <ulink url="https://code.google.com/archive/p/officeotron/">officeotron</ulink>,
314 <ulink url="https://github.com/KhronosGroup/OpenCOLLADA/">OpenCOLLADA</ulink>,
315 <ulink url="https://gitlab.com/orcus/orcus">Orcus</ulink>,
316 <ulink url="https://sourceware.org/systemtap/">SystemTap</ulink>, and
317 <ulink url="https://ukoethe.github.io/vigra/">VIGRA</ulink>
318 </para>
319
320 <para>
321 There are many optional dependencies not listed here. They can be
322 found in <quote>download.lst</quote> (source directory).
323 </para>
324
325 <para condition="html" role="usernotes">
326 User Notes: <ulink url="&blfs-wiki;/libreoffice"/>
327 </para>
328 </sect2>
329
330 <sect2 role="installation">
331 <title>Installation of LibreOffice</title>
332
333 <important>
334 <para>
335 Unlike the other packages, we assume that you have not yet unpacked the
336 package. This is because the <option>--no-overwrite-dir</option>
337 switch is needed in case you unpack as the <systemitem
338 class="username">root</systemitem> user.
339 </para>
340 </important>
341
342<screen role="nodump"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
343cd libreoffice-&libreoffice-dlversion;</userinput></screen>
344
345<!-- keep a commented instruction if no patches are currently required -->
346<!--
347 <para>
348 Fix build failures introduced by GCC 10 and later:
349 </para>
350
351<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-format_overflow-1.patch</userinput></screen>
352-->
353 <para>
354 If you have downloaded the dictionaries, help and translations tarballs,
355 create symlinks to them from the source directory so they won't get
356 downloaded again:
357 </para>
358
359<screen><userinput>install -dm755 external/tarballs &amp;&amp;
360ln -sv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
361ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
362ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
363
364 <note>
365 <para>
366 During the build process, some packages will be downloaded (including
367 the ones listed as recommended and optional dependencies) if they are
368 not present on the system. Because of this, build time may vary from the
369 published time more than usual.
370 </para>
371 </note>
372
373 <para>
374 Due to the large size of the package, you may prefer to install it in
375 <filename class="directory">/opt</filename>, instead of
376 <filename class="directory">/usr</filename>. Depending on your choice,
377 replace <replaceable>&lt;PREFIX&gt;</replaceable> by
378 <filename class="directory">/usr</filename> or by
379 <filename class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>:
380 </para>
381
382<screen><userinput>export LO_PREFIX=<replaceable>&lt;PREFIX&gt;</replaceable></userinput></screen>
383
384 <para>
385 Locales "fr" and "en-GB", you will find below, are just examples; you
386 should change them to suit your needs - you might want to read the
387 "Command Explanations", further below, before proceeding.
388 </para>
389
390 <note>
391 <para>
392 If you set the ACLOCAL environment variable to support installing
393 Xorg in /opt, you will need to unset it for this package.
394 </para>
395 </note>
396
397 <para>
398 Prepare <application>LibreOffice</application> for compilation by running
399 the following commands:
400 </para>
401
402<screen><userinput>sed -e "/gzip -f/d" \
403 -e "s|.1.gz|.1|g" \
404 -i bin/distro-install-desktop-integration &amp;&amp;
405
406sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
407
408./autogen.sh --prefix=$LO_PREFIX \
409 --sysconfdir=/etc \
410 --with-vendor=BLFS \
411 --with-lang='fr en-GB' \
412 --with-help \
413 --with-myspell-dicts \
414 --without-junit \
415 --without-system-dicts \
416 --disable-dconf \
417 --disable-odk \
418 --enable-release-build=yes \
419 --enable-python=system \
420 --with-jdk-home=/opt/jdk \
421 --with-system-apr \
422 --with-system-boost \
423 --with-system-clucene \
424 --with-system-curl \
425 --with-system-epoxy \
426 --with-system-expat \
427 --with-system-glm \
428 --with-system-gpgmepp \
429 --with-system-graphite \
430 --with-system-harfbuzz \
431 --with-system-icu \
432 --with-system-jpeg \
433 --with-system-lcms2 \
434 --with-system-libatomic_ops \
435 --with-system-libpng \
436 --with-system-libxml \
437 --with-system-neon \
438 --with-system-nss \
439 --with-system-odbc \
440 --with-system-openldap \
441 --with-system-openssl \
442 --with-system-poppler \
443 --with-system-postgresql \
444 --with-system-redland \
445 --with-system-serf \
446 --with-system-zlib</userinput></screen>
447
448 <para>
449 The instructions below will only build the package without running
450 any unit tests. If you prefer to run the unit tests, replace
451 <command>make build-nocheck</command> with <command>make build</command>
452 or (as a regular user only) just <command>make</command>, but do not be
453 surprised if a unit test fails right at the end of the build and
454 breaks it.
455 </para>
456
457 <para>
458 Build the package:
459 </para>
460
461<screen><userinput>make build-nocheck</userinput></screen>
462
463 <para>
464 Now, as the <systemitem class="username">root</systemitem> user:
465 </para>
466
467<screen role="root"><userinput>make distro-pack-install</userinput></screen>
468
469 <para>
470 If installed in <filename
471 class="directory">/opt/libreoffice-&libreoffice-dlversion;</filename>
472 some additional steps are necessary. Issue the following commands as the
473 <systemitem class="username">root</systemitem> user:
474 </para>
475
476<screen role="root"><userinput>if [ "$LO_PREFIX" != "/usr" ]; then
477
478 # This symlink is necessary for the desktop menu entries
479 ln -svf $LO_PREFIX/lib/libreoffice/program/soffice /usr/bin/libreoffice &amp;&amp;
480
481 # Set up a generic location independent of version number
482 ln -sfv libreoffice-&libreoffice-dlversion; /opt/libreoffice
483
484 # Icons
485 mkdir -vp /usr/share/pixmaps
486 for i in $LO_PREFIX/share/icons/hicolor/32x32/apps/*; do
487 ln -svf $i /usr/share/pixmaps
488 done &amp;&amp;
489
490 # Desktop menu entries
491 for i in $LO_PREFIX/lib/libreoffice/share/xdg/*; do
492 ln -svf $i /usr/share/applications/libreoffice-$(basename $i)
493 done &amp;&amp;
494
495 # Man pages
496 for i in $LO_PREFIX/share/man/man1/*; do
497 ln -svf $i /usr/share/man/man1/
498 done
499
500 unset i
501fi</userinput></screen>
502
503 <para>
504 If you have installed <xref linkend="desktop-file-utils"/>, and you wish
505 to update the MIME database, issue, as the <systemitem class="username">
506 root</systemitem> user:
507 </para>
508
509<screen role="root"><userinput>update-desktop-database</userinput></screen>
510
511 <para>
512 The suite and main modules can be started from the menu. From a terminal,
513 the suite can be started with the <command>libreoffice</command> command
514 and the modules with the <command>libreoffice
515 --<replaceable>&lt;module&gt;</replaceable></command> command,
516 respectively, where <replaceable>&lt;module&gt;</replaceable> is one of
517 base, calc, draw, impress, math, web, or writer. Modules cannot be started
518 using their shell starting script names (see "Installed Programs", below),
519 if LO_PREFIX is other than <filename class='directory'>/usr</filename>,
520 unless the <filename class='directory'>$LO_PREFIX/bin</filename> directory
521 is appended to the PATH.
522 </para>
523
524 </sect2>
525
526 <sect2 role="commands">
527 <title>Command Explanations</title>
528
529 <para>
530 <command>sed -e ...</command>: The first sed prevents compression of the
531 manual pages and the second one prevents the install from failing.
532 <!--and the third one allows the build to use poppler-0.86.1 and later.-->
533 <!-- FIXME update hardcoded poppler version in text when necessary -->
534 <!-- FIXME as far as I can tell, that sed is no longer present, so I
535 commented the description out here. -renodr -->
536 </para>
537
538<!--
539 <para>
540 <command>sed -i "s/TRUE/true/" ...</command>: These three sed commands
541 fix breakage caused by <application>ICU-68.1</application> removing a
542 macro. The third sed is for a file within libreoffice, the first two
543 are for packages downloaded during the build and amend '.mk' files for
544 the external projects (the source tarballs are unpacked during the build).
545 </para>
546-->
547 <para>
548 <parameter>--with-vendor=BLFS</parameter>: This switch sets BLFS as
549 the vendor which is mentioned when you click "About" from the Help menu
550 on the toolbar.
551 </para>
552
553 <para>
554 <parameter>--with-lang='fr en-GB'</parameter>: This switch sets
555 what languages to support. To list several languages, separate them with
556 a space. For all languages, use
557 <parameter>--with-lang=ALL</parameter>. Note that the translations file
558 is not needed and won't be downloaded if using only en_US as a language.
559 </para>
560
561 <note>
562 <para>
563 For a list of the available languages, look in
564 <filename>solenv/inc/langlist.mk</filename>.
565 </para>
566 </note>
567
568 <para>
569 <parameter>--with-help</parameter>: Without this switch, the help files
570 are not built.
571 </para>
572
573 <para>
574 <parameter>--with-jdk-home=/opt/jdk</parameter>: This parameter will silence
575 a warning that the configure script attempted to find JAVA_HOME
576 automatically (even though that is passed in the environment). Omit this if
577 you disabled java.
578 </para>
579
580 <para>
581 <parameter>--with-myspell-dicts</parameter>: This switch adds myspell
582 dictionaries to the <application>LibreOffice</application> installation
583 set.
584 </para>
585 <!-- Unrecognized as of 6.2.0.3
586 <para>
587 <parameter>- -with-alloc=system</parameter>: This switch tells
588 <application>LibreOffice</application> to use the system allocator
589 instead of its internal one.
590 </para>
591 -->
592 <para>
593 <parameter>--with-system-boost</parameter>: This switch enables using
594 system boost. From time to time, recent versions of boost break
595 the build of libreoffice. In this case, it is possible to use the
596 bundled copy of boost, by removing this flag.
597 </para>
598
599 <para>
600 <parameter>--disable-dconf</parameter>: This switch disables compiling
601 <application>LibreOffice</application> with the
602 <application>GNOME DConf</application> configuration system support.
603 </para>
604
605 <para>
606 <parameter>--without-junit</parameter>: This switch disables the tests
607 for the deprecated HSQLDB driver which is written in Java.
608 <!-- If you wish
609 to build this driver replace this switch with the set of switches
610 described below after '- -without-java'.-->
611 </para>
612
613 <para>
614 <parameter>--without-system-dicts</parameter>: This switch disables the
615 use of dictionaries from system paths so that the ones installed by this
616 package are used.
617 </para>
618
619 <para>
620 <parameter>--disable-odk</parameter>: This switch disables installing the
621 office development kit. Remove if you want to develop a
622 <application>LibreOffice</application> based application.
623 </para>
624
625 <para>
626 <parameter>--enable-release-build=yes</parameter>: This switch enables a
627 Release Build. <application>LibreOffice</application> can be built as a
628 Release Build or as a Developer Build, because their default installation
629 paths and user profile paths are different. Developer Build displays the
630 words "Dev" and "Beta" in several places (e.g, menu and splash screen).
631 </para>
632
633 <para>
634 <parameter>--enable-python=system</parameter>: This switch tells
635 <application>LibreOffice</application> to use the system installed
636 <application>Python 3</application> instead of
637 the bundled one.
638 </para>
639
640 <para>
641 <parameter>--with-system-*</parameter>: These switches prevent
642 <application>LibreOffice</application> from trying to compile its own
643 versions of these dependencies. If you've not installed some of the
644 dependencies, remove the corresponding switches.
645 </para>
646
647<!--
648 <para>
649 <command>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make ...</command>: <xref
650 linkend="icu"/> has removed an implicit namespace <quote>using</quote>
651 from its headers files. Setting <envar>U_USING_ICU_NAMESPACE</envar> to
652 1 allows to restore the former behavior, which is required for building
653 <application>libreoffice</application>.
654 </para>
655-->
656 <para>
657 <command>make distro-pack-install</command>: This does a normal
658 install, but if you add a DESTDIR environment variable it will also
659 install a lot of (text) gid_Module_* files in the DESTDIR, to help
660 distributions which want to break the package into parts.
661 </para>
662
663 <para>
664 <option>--with-parallelism=&lt;count&gt;</option>: This switch
665 tells <application>LibreOffice</application> to use &lt;count&gt; CPU
666 cores to compile in parallel. (Do not include literal angle brackets.)
667 The default is to use all available cores on the system.
668 </para>
669
670 <para>
671 <option>--disable-cups</option>: Use this switch if you don't need
672 printing support.
673 </para>
674
675 <para>
676 <option>--disable-dbus</option>: Use this switch if you've not installed
677 D-Bus-1.8.0 or later. It also disables Bluetooth support and font install
678 via PackageKit.
679 </para>
680
681 <para>
682 <option>--disable-firebird-sdbc</option>: By default, the ability to
683 connect to a <application>firebird</application> database is enabled.
684 Add this switch if you do not need that feature.
685 </para>
686
687 <para>
688 <option>--disable-gstreamer-1-0</option>: Use this switch if you have not
689 installed <xref linkend="gst10-plugins-base"/>.
690 </para>
691
692<!-- only gtk3 is referenced in the configure script for 6.4.0.3
693 <para>
694 <option>\-\-disable-gtk3</option>: Use this switch if you have not installed
695 <application>GTK+-3</application>, or if you have installed it but wish
696 to use <application>GTK+-2</application> (the menu icons differ).
697 <!\-\- Note that a <application>GTK+-3</application> build still
698 requires <application>GTK+-2</application> to build the gtk-plugin.\-\->
699 </para>-->
700
701 <para>
702 <option>--disable-postgresql-sdbc</option>: This switch disables compiling
703 <application>LibreOffice</application> with the ability to connect to a
704 <application>PostgreSQL</application> database. Use it if you have not
705 installed <application>PostgreSQL</application> and you do not want
706 <application>LibreOffice</application> to compile its bundled copy.
707 </para>
708
709 <para>
710 <option>--disable-skia</option>: Use <xref linkend="cairo"/> for rendering
711 instead of skia.
712 </para>
713
714 <para>
715 <option>--enable-gtk3-kde5</option>: This switch allows the Visual Class
716 Library, which is responsible for widgets, to be built with KF5 file
717 dialogs if GTK+-3, Qt5 and Plasma are all available.
718 </para>
719
720 <para>
721 <option>--enable-lto</option>: This switch will enable Link Time
722 Optimization, which results in slightly smaller libraries (about 40 MB).
723 This is said to make <application>LibreOffice</application> programs
724 load faster (and possibly run faster, e.g. when recalculating a
725 spreadsheet). On an 8-core machine with 16GB of memory, the difference
726 in compile times was minimal, but an extra 2GB was used for the work
727 files. On machines with fewer processors or a lack of memory, the compile
728 might be much slower.
729 </para>
730
731 <para>
732 <option>--without-java</option>: This switch disables
733 <application>Java</application> support in
734 <application>LibreOffice</application>. Java is needed for the
735 deprecated HSQLDB driver, which allows reading databases created by
736 other programs or in earlier versions of libreoffice
737 <application>base</application>.
738 </para>
739 <!-- junit is not included anymore in ant, and neither hamcrest. Since
740 the hsqldb backend is deprecated anyway, forget this:
741 <para>
742 <option>- -with-junit=/opt/ant/lib/junit-4.12.jar</option> and
743 <option>- -with-hamcrest=/opt/ant/lib/hamcrest-core-1.3.jar</option>:
744 Those options are needed if you want to run the tests.
745 </para>
746 -->
747 <para>
748 <option>--without-fonts</option>: <application>LibreOffice</application>
749 includes a number of third-party TrueType fonts. If you have already
750 installed some or all of the same fonts, you may prefer to use the system
751 versions.
752 </para>
753
754 <para>
755 <!-- Brings in - -enable-qt5 as well. -->
756 <option>--enable-kf5</option>: Builds with KDE/Plasma integration. If
757 <xref linkend="qt5"/> and/or <xref linkend="kf5-frameworks"/> are not
758 installed in <filename class="directory">/usr</filename>, the include
759 and library directories must be specified in <envar>QT5INC</envar>,
760 <envar>QT5LIB</envar>, <envar>KF5INC</envar>, and <envar>KF5LIB</envar>,
761 respectively.
762 </para>
763
764 <para>
765 <option>--enable-evolution2</option>: Enables support for Evolution
766 address books through Evolution Data Server. Note that Evolution Data
767 Server must be installed for this feature to function.
768 </para>
769
770 <!--
771 <para>
772 Currently broken by ICU68 (TRUE and FALSE need to be true and false) on
773 libe-book and perhaps elsewhere - commented explanation retained. ken
774 <option>- -with-system-icu</option>: This command would use the system
775 version of <xref linkend="icu"/> which is normally considered to be a good
776 thing to do. However, one of the very minor packages pulled in by
777 <application>LibreOffice</application>, libfreehand-0.1.2, does not compile
778 with ICU-65.1 because of a missing semi-colon at the end of one line in one
779 of its files. Do not use this option unless you have separately installed a
780 patched or newer version of
781 <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>.
782 </para>
783 -->
784
785 </sect2>
786
787 <sect2 role="content">
788 <title>Contents</title>
789
790 <segmentedlist>
791 <segtitle>Installed Programs</segtitle>
792 <segtitle>Installed Libraries</segtitle>
793 <segtitle>Installed Directory</segtitle>
794
795 <seglistitem>
796 <seg>
797 libreoffice, lobase, localc, lodraw, loffice, lofromtemplate,
798 loimpress, lomath, loweb, lowriter, soffice and unopkg;
799 several programs under
800 $LO_PREFIX/lib/libreoffice/program
801 </seg>
802 <seg>
803 several libraries under
804 $LO_PREFIX/lib/libreoffice/program
805 </seg>
806 <seg>
807 $LO_PREFIX/lib/libreoffice
808 </seg>
809 </seglistitem>
810 </segmentedlist>
811
812 <variablelist>
813 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
814 <?dbfo list-presentation="list"?>
815 <?dbhtml list-presentation="table"?>
816
817 <varlistentry id="libreoffice-suite">
818 <term><command>libreoffice (or soffice)</command></term>
819 <listitem>
820 <para>
821 is the main libreofice suite (symlink to
822 $LO_PREFIX/lib/libreoffice/program/soffice)
823 </para>
824 <indexterm zone="libreoffice libreoffice-suite">
825 <primary sortas="b-libreoffice-suite">libreoffice-suite</primary>
826 </indexterm>
827 </listitem>
828 </varlistentry>
829
830 <varlistentry id="lobase">
831 <term><command>lobase</command></term>
832 <listitem>
833 <para>
834 is the database manager module shell starting script
835 </para>
836 <indexterm zone="libreoffice lobase">
837 <primary sortas="b-lobase">lobase</primary>
838 </indexterm>
839 </listitem>
840 </varlistentry>
841
842 <varlistentry id="localc">
843 <term><command>localc</command></term>
844 <listitem>
845 <para>
846 is the spreadsheet module shell starting script
847 </para>
848 <indexterm zone="libreoffice localc">
849 <primary sortas="b-localc">localc</primary>
850 </indexterm>
851 </listitem>
852 </varlistentry>
853
854 <varlistentry id="lodraw">
855 <term><command>lodraw</command></term>
856 <listitem>
857 <para>
858 is the vector graphics editor and diagramming tool module shell
859 starting script
860 </para>
861 <indexterm zone="libreoffice lodraw">
862 <primary sortas="b-lodraw">lodraw</primary>
863 </indexterm>
864 </listitem>
865 </varlistentry>
866
867 <varlistentry id="loimpress">
868 <term><command>loimpress</command></term>
869 <listitem>
870 <para>
871 is the (PowerPoint) presentations editor and displayer
872 module shell starting script
873 </para>
874 <indexterm zone="libreoffice loimpress">
875 <primary sortas="b-loimpress">loimpress</primary>
876 </indexterm>
877 </listitem>
878 </varlistentry>
879
880 <varlistentry id="lomath">
881 <term><command>lomath</command></term>
882 <listitem>
883 <para>
884 is the mathematical formula editor module shell starting script
885 </para>
886 <indexterm zone="libreoffice lomath">
887 <primary sortas="b-lomath">lomath</primary>
888 </indexterm>
889 </listitem>
890 </varlistentry>
891
892 <varlistentry id="loweb">
893 <term><command>loweb</command></term>
894 <listitem>
895 <para>
896 is the HTML editor module shell starting script
897 </para>
898 <indexterm zone="libreoffice loweb">
899 <primary sortas="b-loweb">loweb</primary>
900 </indexterm>
901 </listitem>
902 </varlistentry>
903
904 <varlistentry id="lowriter">
905 <term><command>lowriter</command></term>
906 <listitem>
907 <para>
908 is the word processor module shell starting script
909 </para>
910 <indexterm zone="libreoffice lowriter">
911 <primary sortas="b-lowriter">lowriter</primary>
912 </indexterm>
913 </listitem>
914 </varlistentry>
915
916 <varlistentry id="unopkg">
917 <term><command>unopkg</command></term>
918 <listitem>
919 <para>
920 is a tool to manage <application>LibreOffice</application>
921 extensions from the command line
922 </para>
923 <indexterm zone="libreoffice unopkg">
924 <primary sortas="b-unopkg">unopkg</primary>
925 </indexterm>
926 </listitem>
927 </varlistentry>
928
929 </variablelist>
930
931 </sect2>
932
933</sect1>
Note: See TracBrowser for help on using the repository browser.